VMWare克隆CentOS 6系统导致无法启动网络解决记录

公司服务器上周挂了后,需要新的系统,于是用了之前服务器导出的CentOS6的镜像。 成功部署后,发现无法访问,控制台登陆后发现network.service没起来,于是重启network. [root@localhost]# service network restart Shutting down loopback interface: [ OK ] Bringing up loopback interface: [ OK ] Bringing up interface eth1: Error: No suitable device found: no device found for connection’System eth1′. … “VMWare克隆CentOS 6系统导致无法启动网络解决记录”

Read More

CentOS 7 升级node.js提示Requires:http-parser >= 2.7.0错误

之前在去年安装node.js时,yum install直接就搞定。这次虚拟机太久未登陆,于是登陆’yum update’遇到了如下错误: Error: Package: 1:nodejs-6.11.1-1.el7.x86_64 (epel) Requires: libhttp_parser.so.2()(64bit) Error: Package: 1:nodejs-6.11.1-1.el7.x86_64 (epel) Requires: http-parser >= 2.7.0 查了下,是因为CentOS 的EPEL里已经移除了Node.js而放在了REHL中。 因此需要去下载http-parser安装即可. rpm -ivh https://kojipkgs.fedoraproject.org/packages/http-parser/2.7.1/3.el7/x86_64/http-parser-2.7.1-3.el7.x86_64.rpm

Read More

CentOS设置IP和hostname的shell脚本

把ens32替换为当前的网卡名称即可. #!/bin/bash if [ “$(whoami)” == “root” ];then echo “当前执行权限: root” else echo “当前用户:” $(whoami) echo “请使用管理员权限执行脚本.” exit fi while read -p “是否设置本机静态IP,退出输入:n,设置IP输入:y [y|n]” yn do if [[ ${yn} == [Nn] ]];then exit elif [[ … “CentOS设置IP和hostname的shell脚本”

Read More

升级Centos6到Centos7错误记录

入了一个HK的kvm,但是预置镜像都是老版本:centos6,debian7。因为只是为了做个DOCKER REGESTRY和扶墙,想升级下系统版本和内核,折腾了debian7无果,折腾下centos升级版本,再换内核。 网上找了一下,按照说明升级,发现已经不支持从6.x升级到最新的7.3了。 详情链接 WARNING! Do not use this method to upgrade from CentOS 6.7 or higher as several system critical packages are of a higher version number than they are in centos 7 so … “升级Centos6到Centos7错误记录”

Read More